Ticket #41149

熟練度やレベル差や馬に関係なく被弾時に落馬(Re: 変愚蛮怒3.0.0Alpha開発フォーラム (フォーラムメッセージ #86529 からの引用))

Open Date: 2021-01-13 21:04 Last Update: 2021-01-18 22:07

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
6
Severity:
6
Resolution:
Fixed
File:
None

Details

フォーラム 変愚蛮怒3.0.0Alpha開発フォーラム [#86529] からの引用

[forum: 86529]

不具合報告です

現状だと熟練度やレベル差や馬に関係なく被弾時に落馬しています

以前報告のあった、ペットに攻撃される件と関係があるかもしれない

改めて調査する

Ticket History (3/7 Histories)

2021-01-13 21:04 Updated by: hourier
  • New Ticket "Re: 変愚蛮怒3.0.0Alpha開発フォーラム (フォーラムメッセージ #86529 からの引用)" created
2021-01-14 02:00 Updated by: deskull
  • Summary Updated
2021-01-15 22:27 Updated by: hourier
Comment

ペットに攻撃される事象とは無関係だった

再調査中

2021-01-17 16:55 Updated by: hourier
Comment

どうやら確実に落馬するのではなく、高確率で落馬するようだ

となると落馬判定のif文が逆転している可能性がある

その辺りを重点的に探ってみる

2021-01-17 17:11 Updated by: hourier
  • Resolution Update from None to Fixed
  • Owner Update from hourier to deskull
Comment

calc_fall_off_possibility() の返り値がfalseの時は「落馬しないなら後続処理をスキップする」という処理だったはずが、強制的に後続処理を実行するようになっていた

これが原因と思われるので修正、以後は問題ないと思われる

>deskullさん

feature/Fix-Fall-Horse にpushしました、マージお願いします (マージ後はfeatureブランチの削除も併せてお願いします)

2021-01-18 22:07 Updated by: deskull
  • Status Update from Open to Closed
Comment

マージとリモートブランチ削除しました。お疲れ様でした。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login